namespace Tinkerforge
{
    public static class EAnalogIn2
    {
        public static (char Option, int Min, int Max) GetVoltageCallbackThreshold(this BrickletAnalogInV2 analogIn)
        {
            analogIn.GetVoltageCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetAnalogValueCallbackThreshold(this BrickletAnalogInV2 analogIn)
        {
            analogIn.GetAnalogValueCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }
    }
}
